function [accuracy,E,map,nMatch] = calAccuracy(dataCluster,dataLabel)

nData = length( dataLabel );
nC = max(dataLabel);
E = zeros( nC, nC );
for m = 1 : nData
    i1 = dataCluster( m );
    i2 = dataLabel( m );
    E( i1, i2 ) = E( i1, i2 ) + 1;
end

E = E';
map = permutionMapFunc(E);

nMatch =0;
for t = 1:nC
    nMatch = nMatch + E(t, map(t));
end

accuracy = nMatch/nData;