function class_label = Weighted_Class_assign(x, frequency_in_cluster, cluster_count, feature_weight)

[~,d] = size(x);
[~,~,k] = size(frequency_in_cluster);
class_proba = zeros(1, k);

attribute_proba = zeros(d,k);

for i = 1:d
    for c = 1:k
        attribute_proba(i,c) = frequency_in_cluster(i, x(i), c)/cluster_count(c);
    end
end
attribute_proba = attribute_proba';

for c = 1:k
    class_proba(c) = attribute_proba(c, :)*feature_weight(:, c);
end

[~, class_label] = max(class_proba');